"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_1 = require("./log");
const require_1 = require("./require");
const electron = require_1.default('electron');
const ipc = electron.ipcRenderer;
function on(channel, callback) {
    ipc.on(channel, (_, ...args) => {
        log_1.default.info('IPC: Received from:', channel, args);
        callback(...args);
    });
}
exports.on = on;
function send(channel, ...args) {
    log_1.default.info('IPC: Send:', channel, args);
    ipc.send(channel, ...args);
}
exports.send = send;
//# sourceMappingURL=ipc.js.map